
#ifndef MODULES_TRPC_LAT_SRC_TRPCLATPUBDATAWRAPPER_H_
#define MODULES_TRPC_LAT_SRC_TRPCLATPUBDATAWRAPPER_H_

#include "pub/PubDataWrapper.h"
#include "dpc_dm/executable.h"


template<typename EventType>
class DecisionPubDataWrapper: public PubDataWrapper<EventType> {

private:
    dpc::Decision4Long _decision_data;
public:

    void GetData(ara::com::SampleAllocateePtr<EventType> &data) override{
        data->ba_trp_indx_spdlim_typ = _decision_data.ba_trp_indx_spdlim_typ;
    }

    void SetData(dpc::Decision4Long &data){
       _decision_data = data;
    }

};
#endif /* MODULES_TRPC_LAT_SRC_TRPCLATPUBDATAWRAPPER_H_ */
